Board logo

标题: 关于写.spec文件时碰到的两个问题 [打印本页]

作者: woolzey    时间: 2006-5-8 11:00     标题: 关于写.spec文件时碰到的两个问题

首先,如果一个包需要依赖某两个包中的任何一个,那么Requires怎么写。或者更复杂一些,如果一个包需要A包和B包才能运行,或者不用A包和B包,只要C包也能运行,那该怎么写。

换句话说,如果要实现下面这样的
Requires: A or B
或者
Requires: (A and B) or C
有没有办法。

第二个问题是,如果依赖某个包的特定大版本,比如需要emacs 21,小版本号无所谓,只要是21.x都可以,那该怎么写Requires。
作者: linuxpgy    时间: 2006-9-6 18:44

版本号不是按大版本号判断的吗?

Requires: XXX >= 21

A or B之类的,自己写脚本更灵活一点,可惜我不会写,帮不了你了~~~




欢迎光临 中国Linux公社论坛 (http://forum.linuxfans.org/) Powered by Discuz! 6.1.0F